package sgc.portal.cw.cw0404.persistence;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0404.dto.CW04040001USearch;
import sgc.portal.cw.cw0404.model.CW04040001U;

import java.util.List;
import java.util.Map;

@Mapper
public interface CW04040001UMapper {
	
	//이테크 개인직무 등록관리 조회
	List<EasyHashMap<String, Object>> selectZehrCareerEmpList(CW04040001USearch search);
	
	//이테크 개인직무 등록관리 PJT 팝업
	List<EasyHashMap<String, Object>> selectZehrCareerEmpPjtList(CW04040001USearch search);
	
	//이테크 개인직무 등록관리 등록 변경 삭제
	void insertZehrCareerEmp(CW04040001U cW04040001U);
	void updateZehrCareerEmp(CW04040001U cW04040001U);
	void deleteZehrCareerEmp(CW04040001U cW04040001U);
}
